setools (4.7.1-1) unstable; urgency=medium

  * 4.7.1 upstream release
  * Removed undefined uses of shlibs:Depends

 -- Russell Coker <russell@coker.com.au>  Wed, 29 Jul 2026 22:53:10 +1000

setools (4.7.0-1) unstable; urgency=medium

  * 4.7.0 upstream release with MCP support for LLM analysis

 -- Russell Coker <russell@coker.com.au>  Wed, 24 Jun 2026 11:58:00 +1000

setools (4.6.0-3) unstable; urgency=medium

  * Build-depend on qt6 libraries Closes: #1133828

 -- Russell Coker <russell@coker.com.au>  Wed, 15 Apr 2026 18:49:40 +1000

setools (4.6.0-2) unstable; urgency=medium

  * Don't depend on python3-pkg-resources Closes: #1083768
  * Don't build depend on python3-pdm-pep517 Closes: #1115783

 -- Russell Coker <russell@coker.com.au>  Sun, 21 Sep 2025 14:50:36 +1000

setools (4.6.0-1) unstable; urgency=medium

  * 4.6.0 upstream release:
    Add seinfo option to see roles allowed for a specified type.
    Add sechecker module for asserting kernel modules are read-only.
    Add support for the nlmsg extended permission.
    Significant code quality and unit testing improvements.
    Drop methods marked for deprecation.
    Refactor packaging to use pyproject.toml.

 -- Russell Coker <russell@coker.com.au>  Tue, 09 Sep 2025 13:18:24 +1000

setools (4.5.1-1) unstable; urgency=medium

  * New upstream version
  * Add build-depends on python3-pdm-pep517 and change dependencies to 3.7 SE
    Linux libraries
  * Remove setools/policyrep.c in clean rule
  * Made setools-gui depend on python3-pyqt6 and recommend qt6-wayland

 -- Russell Coker <russell@coker.com.au>  Mon, 14 Oct 2024 17:14:43 +1100

setools (4.4.4-1) unstable; urgency=medium

  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Sun, 10 Dec 2023 13:48:02 +0100

setools (4.4.3-1) unstable; urgency=medium

  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Sat, 29 Jul 2023 11:54:47 +0200

setools (4.4.2-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Drop the Debian menu file

  [ Laurent Bigonville ]
  * New upstream release
    - Bump libsepol-dev build-dependency to >= 3.5 to match the release
  * debian/control: Bump Standards-Version to 4.6.2 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 11 Jul 2023 13:23:02 +0200

setools (4.4.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove 3 obsolete maintscript entries in 1 files.
  * Set upstream metadata fields: Bug-Database, Name.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-all-dev and
      python3-networkx.
    + setools-gui: Drop versioned constraint on setools in Replaces.
    + setools-gui: Drop versioned constraint on setools in Breaks.
    + python3-setools: Drop versioned constraint on python3-networkx in Depends.
    + python3-setools: Drop versioned constraint on python3-sepolicy in Breaks.
    + Remove 3 maintscript entries from 1 files.

  [ Laurent Bigonville ]
  * debian/control: Also bump checkpolicy BD to 3.3 for consistency
  * debian/rules: Force the TZ to UTC when building the doc.
    That should make the build reproducible

 -- Laurent Bigonville <bigon@debian.org>  Thu, 09 Feb 2023 09:27:11 +0100

setools (4.4.1-1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release, code cleanups and bug fixes

 -- Russell Coker <russell@coker.com.au>  Wed, 08 Feb 2023 00:22:30 +1100

setools (4.4.0-1) unstable; urgency=medium

  * New upstream version 4.4.0
    - debian/control: Bump libselinux1-dev and libsepol-dev BD to 3.3
    - debian/setools.install: Install the new sechecker tool
  * d/p/Do-not-fail-on-deprecated-declarations-warnings.patch: Refreshed
  * debian/patches/02_remove_rpath.patch: Refreshed
  * debian/control: Bump Standards-Version to 4.6.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 08 Nov 2021 11:44:31 +0100

setools (4.3.0-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control: Set Rules-Requires-Root: no

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Christian Göttsche ]
  * d/watch: Bump to version 4
  * d/gitlab-ci.yml: Add standard salsa ci configuration
  * d/setools-gui.examples: Drop empty file
  * d/control: Bump debhelper compat to level 13
  * d/control: Bump Standards-Version to 4.5.1 (no further changes)
  * d/control: Bump dependency versions (Closes: #980270)
  * d/control: Convert cute fields
  * d/rules: Enable build hardening
  * d/patches/remove_rpath: Set patch headers
  * d/patches: Mention where to find the standard perm_map for seinfoflow
    (Closes: #941621)
  * d/upstream/metadata: Add field Bug-Submit
  * d/patches: Do not fail on deprecated-declarations warnings (Closes:
    #972032)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 10 Feb 2021 16:49:48 +0100

setools (4.3.0-1) unstable; urgency=medium

  * New upstream release
    - debian/control: Bump cython build-dependency to 0.29.14
    - Install the Russian manpages
  * debian/control: Bump Standards-Version to 4.5.0 (no further changes
  * Bump debhelper compatibility to 12, drop the override for dh_missing,
    --list-missing is the default now

 -- Laurent Bigonville <bigon@debian.org>  Thu, 02 Apr 2020 09:16:58 +0200

setools (4.2.2-1) unstable; urgency=medium

  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Mon, 08 Jul 2019 15:20:32 +0200

setools (4.2.1-1) experimental; urgency=medium

  * New upstream release
    - debian/control: Bump {build-}dependencies to match new release
  * debian/control: Bump Standards-Version to 4.3.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 23 Mar 2019 16:05:42 +0100

setools (4.2.0-1) unstable; urgency=medium

  * New upstream release
    - debian/control: Bump the {build-}dependencies
    - Drop d/p/01_fix_ftbfs_gcc7.patch, d/p/03_cache_rules.patch and
      d/p/04_add_additional_flags_gcc.patch, merged upstream
    - d/p/02_remove_rpath.patch: Refreshed
  * debian/control: Bump Standards-Version to 4.2.1 (no further changes)
  * debian/control: Breaks against python3-sepolicy (<< 2.8-3~), it uses a
    private API that has been removed and needs to be ported

 -- Laurent Bigonville <bigon@debian.org>  Mon, 03 Dec 2018 10:12:47 +0100

setools (4.2.0~beta-1) experimental; urgency=medium

  * New beta release
  * debian/control: Update the Homepage field, the project has been moved
  * debian/watch: Update the URL here as well
  * debian/control: Adjust the {build-}dependencies, setools is using cython
    instead of swig now and is not statically linking against libsepol anymore
  * d/p/01_fix_ftbfs_gcc7.patch: Refreshed; d/p/02_fix_ftbfs_be.patch,
    d/p/03_sctp_support.patch: Dropped, merged upstream
  * debian/rules: Remove setools/policyrep/libpolicyrep.c in the clean target
  * d/p/02_remove_rpath.patch: Do not set the rpath for the python modules
  * d/p/03_cache_rules.patch: Upstream patch to fix performance regressions
  * d/p/04_add_additional_flags_gcc.patch: Fix FTBFS, from upstream
  * debian/control: Bump Standards-Version to 4.2.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 13 Aug 2018 13:55:16 +0200

setools (4.1.1-5) unstable; urgency=medium

  * debian/patches/03_sctp_support.patch: Add SCTP support, this patch is
    coming from Fedora, a different patch has been applied upstream but
    incompabible with this version of setools

 -- Laurent Bigonville <bigon@debian.org>  Wed, 20 Jun 2018 15:52:15 +0200

setools (4.1.1-4) unstable; urgency=medium

  * debian/patches/01_fix_ftbfs_gcc7.patch: Replaced by patch that has been
    accepted upstream
  * debian/control: Point Vcs-* fields to new (salsa) machine
  * debian/control: Bump Standards-Version to 4.1.4 (no further changes)
  * debian/control: Remove X-Python3-Version fields as the required version is
    already in oldstable, to please lintian
  * debian/rules: Use dh_missing --list-missing instead of dh_install
  * Bump {build-}dependencies to rebuild everything against the last release

 -- Laurent Bigonville <bigon@debian.org>  Wed, 30 May 2018 16:37:51 +0200

setools (4.1.1-3) unstable; urgency=medium

  * debian/control: Add python3-pkg-resources to the dependencies (Closes:
    #875379)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 12 Sep 2017 11:30:53 +0200

setools (4.1.1-2) unstable; urgency=medium

  * debian/patches/02_fix_ftbfs_be.patch: Fix FTBFS on big-endian arch

 -- Laurent Bigonville <bigon@debian.org>  Sun, 10 Sep 2017 10:43:49 +0200

setools (4.1.1-1) unstable; urgency=medium

  * New upstream release
    - Drop debian/patches/fix_ftbfs_alignment.patch, applied upstream
  * debian/control: Bump {build-}dependencies to match new userspace release
  * debian/control: Bump Standards-Version to 4.1.0 (no further changes)
  * Bump debhelper compatibility to 10
  * d/p/01_fix_ftbfs_gcc7.patch: Fix FTBFS with gcc7 (Closes: #853655)
  * python3-setoolsgui.install, python3-setools.install: Some files have been
    moved to the package directory now

 -- Laurent Bigonville <bigon@debian.org>  Sun, 10 Sep 2017 02:46:10 +0200

setools (4.0.1-6) unstable; urgency=medium

  * Properly build and install the documentation

 -- Laurent Bigonville <bigon@debian.org>  Tue, 21 Feb 2017 10:03:16 +0100

setools (4.0.1-5) unstable; urgency=medium

  * debian/watch: Also mangle the upstream version of the "rc" releases
  * debian/control: Make python3-setools depends against netbase, the code
    uses getprotobyname() and tries to translate protocol names.

 -- Laurent Bigonville <bigon@debian.org>  Fri, 13 Jan 2017 21:01:12 +0100

setools (4.0.1-4) unstable; urgency=medium

  * debian/patches/fix_ftbfs_alignment.patch: Fix FTBFS on architecture where
    alignment really matters, really...

 -- Laurent Bigonville <bigon@debian.org>  Mon, 28 Nov 2016 18:01:08 +0100

setools (4.0.1-3) unstable; urgency=medium

  * debian/patches/fix_ftbfs_alignment.patch: Fix FTBFS on architecture where
    alignment really matters

 -- Laurent Bigonville <bigon@debian.org>  Mon, 28 Nov 2016 16:14:11 +0100

setools (4.0.1-2) unstable; urgency=medium

  * debian/rules: Make the tests non-fatals for now, this should fix the FTBFS
    on the buildd
  * debian/control: Bump {build-}dependencies to match new userspace release
  * debian/control: Fix description of python3-setools and python3-setoolsgui

 -- Laurent Bigonville <bigon@debian.org>  Thu, 24 Nov 2016 16:00:17 +0100

setools (4.0.1-1) experimental; urgency=medium

  * New major upstream release, setools has been completely rewritten in
    python and only provides python bindings now.

 -- Laurent Bigonville <bigon@debian.org>  Sun, 30 Oct 2016 16:01:36 +0100

setools (3.3.8+20151215-4) unstable; urgency=medium

  * Team upload.
  * d/p/skip_types_when_building_type_attribute_map.patch: Skip types when
    building type attribute map. (Closes: #822987)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 30 Apr 2016 11:16:26 +0200

setools (3.3.8+20151215-3) unstable; urgency=medium

  * Team upload.
  * debian/control: Bump versions of the libsepol and libselinux
    build-dependencies to match the new release
  * debian/control: Bump Standards-Version to 3.9.8 (no further changes)
  * debian/control: Update Vcs-* URL's to please lintian (again)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 25 Apr 2016 18:45:35 +0200

setools (3.3.8+20151215-2) unstable; urgency=medium

  * Team upload.
  * debian/libsefs4.symbols.sparc64: Add .symbols file for sparc64
    architecture.
  * debian/watch: The project has moved to github, update the URL
  * debian/control: Update the Homepage URL to the new github wiki page
  * Move logwatch script to /usr/share/logwatch (Closes: #752337)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 24 Jan 2016 14:04:10 +0100

setools (3.3.8+20151215-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot (Closes: #806485)
    - Bump versions of the libsepol and libselinux build-dependencies
    - Refresh the patches
    - Drop debian/patches/fix-sediffx-crash.patch, applied upstream
    - Drop debian/patches/fix-lsetfilecon_raw-prototype.patch, applied upstream
    - Drop debian/patches/setools-swig-2.0.7.patch: The bindings are now
      building properly, this patch is not needed anymore
    - Adjust the symbols files
  * debian/gbp.conf: Sign tags by default
  * Bump Standards-Version to 3.9.6 (no further changes)
  * debian/control: Bump swig version to 2.0.0
  * debian/rules: Fix FTBFS when building arch-indep packages only (Closes:
    #806106)
  * debian/control: Add dh-python to the build-dependencies
  * Drop Java bindings, they are not building anymore and I'm not even sure
    they were working before (Closes: #748593)
  * Adjust libsefs symbols file on several arch and make the build fail if the
    symbols file doesn't match (Closes: #775915)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 28 Dec 2015 05:07:19 +0100

setools (3.3.8-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add symbols for arm64 (Closes: 777750)
  * Add files/clean so rebuilds work
  * Add symbols for sh4 (Closes: 779395)

 -- Wookey <wookey@debian.org>  Sun, 31 May 2015 20:07:59 +0000

setools (3.3.8-3.1) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Non-maintainer upload.

  [ Andreas Florath ]
  * secmds/replcon.cc: Fixed prototype of lsetfilecon_raw.
    (Closes: #750331)

  [ Breno Leitao ]
  * debian/libsefs4.symbols.ppc64el: link to the ppc64 symbols file.
    (Closes: #753515)

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 17 Sep 2014 22:33:48 +0200

setools (3.3.8-3) unstable; urgency=medium

  * Team upload.
  * debian/control: Bump Standards-Version to 3.9.5 (no further changes)
  * Add debian/patches/fix-sediffx-crash.patch: Fix sediffx crash (LP:
    #1220618)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 27 Dec 2013 17:43:56 +0100

setools (3.3.8-2) unstable; urgency=low

  * Team upload.
  * Split GUI tools in their own package (LP: #598025)
  * debian/control: Move libsetools-jni to the java Section
  * debian/rules: Pass --as-needed to the linker and call dh_autoreconf with
    --as-needed to minimize the runtime dependencies
  * debian/control: Bump Standards-Version to 3.9.4 (no further changes)
  * debian/control: Use the canonical URL for the VCS-Git field
  * debian/rules: Supply --with-javac-flags to ensure java source/target is
    set to 1.5. (LP: #1049807)
  * debian/patches/fix-javacflags.patch: Use JAVACFLAGS instead of JAVAFLAGS

 -- Laurent Bigonville <bigon@debian.org>  Sat, 07 Dec 2013 18:41:15 +0100

setools (3.3.8-1) unstable; urgency=low

  * Team upload.
  * New upstream release
    - Fix seaudit crash on start (Closes: #706519)
    - Drop d/p/add-setools-seinfo-and-sesearch-python-bindings.patch,
      d/p/fix_configure.patch: Applied upstream
    - d/p/configure_multiarch.patch, d/p/legacy.patch: Refreshed
  * debian/libsefs4.symbols.powerpcspe: Fix FTBFS on powerpcspe (Closes:
    #701100)
  * debian/control:
    - Bump libsepol1-dev and libselinux1-dev build-dependencies
    - Remove unneeded build-dependencies
  * debian/libqpol1.symbols, debian/libapol4.symbols: Adjust .symbols files
  * debian/patches/python_setools_path.patch: Fix installation path of the
    python modules

 -- Laurent Bigonville <bigon@debian.org>  Fri, 10 May 2013 01:18:24 +0200

setools (3.3.7-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * debian/libsefs4.symbols.ppc64:
    - Add symbols support for ppc64

 -- Nick Andrik <nick.andrik@gmail.com>  Mon, 28 Jan 2013 00:19:25 +0100

setools (3.3.7-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/libsefs4.symbols.s390x:
    - Add symbols support for s390x architecture (identical to amd64)

 -- Nick Andrik <nick.andrik@gmail.com>  Sun, 27 Jan 2013 23:08:31 +0100

setools (3.3.7-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/*.symbols*
    - Update for arm/m68k architectures (Closes: #698572)
    - Use non-architecture files and delete architecture ones when identical

 -- Nick Andrik <nick.andrik@gmail.com>  Thu, 24 Jan 2013 00:08:22 +0000

setools (3.3.7-3) unstable; urgency=low

  * Team upload.
  [ Laurent Bigonville ]
  * debian/patches/legacy.patch: Further split legacy patch
  * debian/patches/use_fPIC_instead_fpic.patch: Compile with -fPIC instead of
    -fpic to avoid FTBFS on s390x
  * debian/gbp.conf: Change default git-buildpackage build-directory
  * debian/patches/setools-swig-2.0.7.patch: Fix FTBFS with swig 2.0.7
    (Closes: #672040)

  [ Niels Thykier ]
  * Remove Build-Depends on gcj-native-helper. (Closes: #678163)
  * Compile the swig extensions with default-java.

 -- Laurent Bigonville <bigon@debian.org>  Thu, 28 Jun 2012 13:26:35 +0200

setools (3.3.7-2) unstable; urgency=low

  * Team upload.
  * Add debian/patches/add-setools-seinfo-and-sesearch-python-bindings.patch:
    Add seinfo and sesearch python binding (taken from Fedora)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 20 Mar 2012 19:01:43 +0100

setools (3.3.7-1) unstable; urgency=low

  * Team upload.
  * New upstream release
    - Refresh debian/patches/legacy.patch
  * Rebuild against new libsepol version (Closes: #645008)
  * Rebuild for python 2.7 (Closes: #645326)
  * Switch to dpkg-source 3.0 (quilt) format
  * Switch to dh sequence, dh_python2 and multiarch
  * Always compile TCL modules for current tcl version (Closes: #604433)
  * debian/patches/setools_ac_pkg_swig_m4_fixed.diff: Fix FTBFS with swig 2.0
    (Closes: #631800)
  * debian/patches/fix_configure.patch: Fix FTBFS with last libselinux
    versions (taken from upstream) (Closes: #654595)
  * debian/libsefs4.symbols.*: Update for removed symbol. Fixes FTBFS.
    (LP: #802949) (Closes: #625678)
  * debian/patches/fix_ftbfs_format_security.patch: Fix FTBFS with
    -Werror=format-security
  * debian/patches/no_link_python.patch: Do not build the python module with a
    soname
  * debian/patches/no_soname_tcl.patch: Do not build tcl module with a soname
  * debian/patches/no_soname_java.patch: Do not build java module with a soname
  * debian/control:
    - Bump Standards-Version to 3.9.3 (no further changes)
    - Only build package for linux architectures
    - Drop really old Replaces
    - Update to use dependencies of new java policy
    - Add missing dependencies on -dev packages
    - Add Homepage field
    - Update Vcs-* fields
    - Put the package under Debian SELinux team maintenance
  * debian/patches/as_needed.patch: Fix build failure with ld --as-needed.
    (Closes: #606020)
  * debian/patches/configure_multiarch.patch: Fix libraries detection with
    multi-arch
  * debian/rules: Pass --disable-selinux-check to configure, selinux is
    disabled on buildd and we shouldn't autodetect it
  * Add debian/gbp.conf file

 -- Laurent Bigonville <bigon@debian.org>  Wed, 14 Mar 2012 22:07:13 +0100

setools (3.3.6.ds-7.2+powerpcspe1) unreleased; urgency=low

  * Copied "powerpc" symbol files to "powerpcspe" for new port

 -- Kyle Moffett <Kyle.D.Moffett@boeing.com>  Sat, 12 Jun 2010 15:12:26 -0400

setools (3.3.6.ds-7.2) unstable; urgency=low

  * Non-maintainer upload.
  * Run the configure script with bash                (Closes: #581884).

 -- Jakub Wilk <jwilk@debian.org>  Tue, 18 May 2010 18:47:37 +0200

setools (3.3.6.ds-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * libsefs built with GCC 4.3 is not binary-compatible with itself built with
    GCC 4.4. That's because mangling of va_list has changed in GCC 4.4. To
    cope with this situation, provide compatibility aliases for the affected
    symbols and update symbol files accordingly.      (Closes: #577061).

 -- Jakub Wilk <jwilk@debian.org>  Thu, 13 May 2010 17:40:33 +0200

setools (3.3.6.ds-7) unstable; urgency=low

  * Bug fix: "FTBFS with Python 2.6 as default", thanks to Jakub Wilk
                                                      (Closes: #571554).
  * Also remove .pyc and .pyo files from the binary package.
  * Bug fix: "Please support Renesas SH(sh4)", thanks to Nobuhiro Iwamatsu
                                                      (Closes: #565372).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 04 Apr 2010 00:41:26 -0700

setools (3.3.6.ds-6) unstable; urgency=medium

  * [9025371]: topic--qpol-include-list-fix: Added missing \ in Makefile
    The missing \ truncated the list of files to be installed in
    /usr/include/qpol
    Bug fix: "qpol/policy.h: No such file or directory", thanks to Pierre
    Chifflier                                          (Closes: #545964).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 10 Sep 2009 10:53:37 -0500

setools (3.3.6.ds-5) unstable; urgency=low

  * We really do need distinct symbols files for all the architectures,
    thanks to va_list; so, with 13 architectures, and 5 libraries, those
    are an added 65 files. However, this should fix the issue that setools
    failed to build on every single buildd out there.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 03 Sep 2009 15:38:07 -0500

setools (3.3.6.ds-4) unstable; urgency=low

  * First cut at providing symbols files.
  * Check for extra libraries and shlib version numbers.  Unless there is
    a nocheck option in the deb build options variable, now we look to see
    if there are extra libraries we have linked to.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 02 Sep 2009 00:00:40 -0500

setools (3.3.6.ds-3) unstable; urgency=low

  * On reflection (and in discussion on IRC), it dawned on me that the
    issues in the bug report might be related to the jobserver not being
    enabled when building in parallel. This version should be friendlier
    to the jobserver.
    Bug fix: "FTBFS: dpkg-gencontrol: error: install new files list file:
    No such file or directory", thanks to Lucas Nussbaum
                                                        (Closes: #543004).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 22 Aug 2009 19:12:30 -0500

setools (3.3.6.ds-2) unstable; urgency=low

  * [ed1be40]: [topic--pointer-conversion]: Missing function prototypes
    Missing function prototypes are likely to cause setools to segfault on
    architectures where the size of a pointer is greater than the size
    of an integer, such as ia64 and amd64. This patch adds the
    prototypes, and the doxygen comments to the header file.
    Bug fix: "implicit pointer conversions", thanks to dann frazier
                                                          (Closes: #541862).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 17 Aug 2009 11:11:16 -0500

setools (3.3.6.ds-1) unstable; urgency=low

  * New upstream release
   + Change default log for seaudit to /var/log/audit/audit.log.
   + Change context parsing in libseaudit to use libselinux functions.
   + Add support for display of level and clearance of contexts to seaudit.
   + Add support for filterting by level and clearance to seaudit.
   + Modified seaudit to show the raw audit message when doubleclicking
     an entry.
   + Add libqpol and libapol support for policy capabilities and
     permissive domains.
   + Add policy capabilities and permissive domains querying to seinfo.
   + Add support for using attribute names available in version 24
     binary policies.
   + Fixed error in qpol_policy_rebuild_opt() where a policy's
     neverallow rules are expanded when the rebuild option is
     QPOL_POLICY_OPTION_NO_RULES.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 14 Aug 2009 02:40:19 -0500

setools (3.3.5.ds-6) unstable; urgency=low

  * [437e101]: [debiandir] Remove autogenerated files during the clean
    process
  * [a5fadee]:[autotools-cleanup] Remove aitogenerated files from git
    This commit removes files that are generated by autoreconf.
  * [140f035]: Updated build dependencies to combat FTBS.
  *  Bug fix: "FTBFS: policy_define.c:134: undefined reference to
    `expand_rule&#39;", thanks to Lucas Nussbaum (Closes: #527730).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 20 Jun 2009 18:12:01 -0500

setools (3.3.5.ds-5) unstable; urgency=low

  * [a636aeb] Unpack the path object before using in string.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 15 Oct 2008 00:56:40 -0500

setools (3.3.5.ds-4) unstable; urgency=low

  * [a4eef03] Name the file that fails to load in the "Open Policy" error dialog
    Bug fix: "Could not open policy error is not specific", thanks to
    Russell Coker. This is a documentation/diagnostic fix, only change
    happens in the diagnostic string.                   (Closes: #499967).
  * [debian-dir 9f1e6da] Add an example script to show how to use apol
    with modular policy
    Bug fix: "needs a script to run apol with the current list of
    modules", thanks to Russell Coker. This is an important bugfix.
                                                         (Closes: #499968).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 14 Oct 2008 18:07:53 -0500

setools (3.3.5.ds-3) unstable; urgency=low

  * AArgh. Really fix important bug #498539. While setools did depend on
    libsetools-tcl, we did not include the  paths in that package for
    addition to the load-path. And for some reason, on my test machine,
    all the paths are apparently in the load path.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 14 Oct 2008 18:05:05 -0500

setools (3.3.5.ds-2) unstable; urgency=medium

  * Bug fix: "apol fails and says it can't find the libraries", thanks
    to Russell Coker. Change the configure.ac to add
    /usr/lib/setools/apol_tcl to the path.  This is an important bug;
    with a one line fix, and should get into Lenny        (Closes: #498539).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 12 Sep 2008 10:49:13 -0500

setools (3.3.5.ds-1) unstable; urgency=high

  * New upstream release, required for the new SELinux toolchain changes.
    Closes serious bug. Closes: #492776, #493830
    + This is the official release of SETools 3.3.5.
    + Fixed errors in libapol's AV and TE rule rendering functions
      where errno was not being set properly.
    + Fixed error in apol_syn_avrule_render() where braces were not
      being added around the target set when there is exactly one target
      type and the keyword 'self'.  Thanks to Ryan Kagin for reporting
      this error.
    + Synched libqpol to libsepol version 2.0.32, policy parser to
      2.0.16.
    + Synched libqpol to libsepol version 2.0.26, policy parser to
      2.0.14.
    + Added qpol_type_get_ispermissive().  SETools can now handle
      version 23 policy; bumped libqpol to version 1.4.
  * Fix build system. Closes: #490329

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 30 Aug 2008 01:02:34 -0500

setools (3.3.4.ds-4) unstable; urgency=low

  * Update to the new policy version (mostly changes for
    DEB_BUILD_OPTIONS change in policy)
  * Bug fix: "setools: adjust build-dependency (gcj not built on alpha,
    arm, hppa and hurd-i386)", thanks to Matthias Klose. Also adjust the
    build process to try and not use javac when it is not available.
                                                        (Closes: #477904).
  * Bug fix: "setools: runs configure multiple times", thanks to Bernhard
    R. Link.  Move to the new make -j friendly targets in ./debian/rules.
                                                        (Closes: #477950).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 05 Jun 2008 15:16:25 -0500

setools (3.3.4.ds-3) unstable; urgency=low

  * Add automake as a build dependency.  We need to add automake as a
    buuild dependency, since we use autoreconf, which tries to run aclocal
    and automake. We used to just depend on autoconf, which just
    recommends automake -- which was therefore never pulled in on the
    build daemons. This is a gotcha unless your build environment does not
    install recommends by default.
  * Bug fix: "setools: missing command name in
    /etc/logwatch/scripts/services/seaudit-report-service", thanks to
    Patrice DUROUX.                               (Closes: Bug#475968)

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 16 Apr 2008 22:54:13 -0500

setools (3.3.4.ds-2) unstable; urgency=medium

  * Bug fix: "setools - FTBFS: Error: symbol `fstatat64&#39; is already
    defined", thanks to Bastian Blank and Lucas Nussbaum. The culprit was
    a -D__attreibute(x)='' setting in libseaudit/swig/python/Makefile.am.
    There is nothing in the commit logs to indicate that his is a
    requirement, and things seem to compile fine and initial testing shows
    no regressions.                          (Closes: #474428, #474904).
  * Since we change configure.ac, and things in Makefile.am, run
    autoreconf -f to ensure that everything gets rebuilt.
  * Delete generated .xcf files, to prevent a FTBS when building twice
    from source.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 10 Apr 2008 03:24:24 -0500

setools (3.3.4.ds-1) unstable; urgency=low

  * Change build dependencies to use python-all-dev, and compile for the
    default version, rather than hard coding version 2.4. This also paves
    the way for trying to compile support for more than one version of
    Python.
  * Simplify the long descriptions; users do not generally care for names
    of included binaries when selecting packages (and thus mitigate the
    possibility future package development would make the long description
    incorrect.
  * Add correct dependencies for setools; it depends on bwidget (>= 1.8)
    and tk.
  * Moved libraries needed by apol back into setools from
    libsetools-tcl. Thanks to Jason Trang for pointing out the above
    problems and providing fixes.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 31 Mar 2008 18:20:08 -0500

setools (3.3.4-1) unstable; urgency=low

  * New upstream release, with new apol.              Closes: Bug#438872
  * Fixed the FTBS-twice errors.                      Closes: Bug#424259
  * The current debian/watch works (was used to download this version)
                                                      Closes: Bug#449853

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 30 Mar 2008 14:29:22 -0500

setools (3.1-2) unstable; urgency=low

  * Bug fix: "setools: FTBFS if built twice in a row", thanks to Martin
    Zobel-Helas. The target is CLEAN/libsefs-dev, not CLEAN/libsef-dev.
                                                         (Closes: #424259).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 07 Jul 2007 12:51:55 -0500

setools (3.1-1) unstable; urgency=low

  * New upstream release. The tools have been updated to work with modular
    policy. There has been a shlibs bump for all the shared libraries
    packaged.
  * Added XS-VCS-Arch and XS-VCS-Browse to debian/control.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 19 Apr 2007 13:13:36 -0500

setools (2.4-3) unstable; urgency=low

  * Bug fix: "symlink error on /usr/share/setools/seaudit-report.conf",
    thanks to Kevin Mark                                 (Closes: #396495).

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  6 Nov 2006 10:12:40 -0600

setools (2.4-2) unstable; urgency=low

  * Since we have flex scanners built into our libapol shared libraries,
    and that needs to link with the flex library, which is static;
    therefore we need to explicitly link with libfl_pic, which has the
    position independent code required for all components of a shared
    library.
  * Split up setools into multiple packages, so that the shared libraries
    and devel tools can be provided separately. Split up the single
    package setools into several library packages, since it was pointed
    out to me that the package was in violation of §8.2 of the Debian
    policy.  Now each library has a runtime and a dev package, so each
    library can develop at its own pace.
  * Bug fix: "setools: FTBFS (amd64): libfl.a(libyywrap.o): relocation
    R_X86_64_32 against `a local symbol' can not be used when making a
    shared object; recompile with -fPIC", thanks to Andreas Jochens
                                                        (Closes: #373170).
  * Bug fix: "setools: Please adjust SELinux spelling to that of other
    SELinux-related packages", thanks to Sven Mueller   (Closes: #376613).
  * Provide md5sums
  * Also, tweak some file paths to better reflect a default Debian
    installation.

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  7 Sep 2006 19:54:50 -0500

setools (2.4-1) unstable; urgency=low

  * New upstream release
    apol:
     File contexts tab now allows for MLS range searching if
     the loaded database is from a MLS filesystem.
     Policy statistics dialog now shows MLS and ocontexts
     summaries.
    libapol:
     Added support for loading base policies containing optionals.
     Added support for searching range transitions containing
     attributes.
    libseaudit:
      Bugfix to support parsing FC5-style audit logs.
    seaudit:
      Added date filters.
    secmds:
      Added support to indexcon and searchcon for MLS filesytems.
      Added support to findcon and replcon for MLS filesystems.
    sechecker:
      Added incomplete network access (inc_net_access) module.
      Added unreachable domains (unreachable_doms) module.
      Added impossible range transitions (imp_range_trans) module.
    sesearch:
      Allow user to search range transitions by attributes and
      indirect matching.
      Added RBAC searching.

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  7 May 2006 00:16:22 -0500

setools (2.3-1) unstable; urgency=low

  * New upstream release
    apol:
      - added new MLS components tab for sensitivities, levels, and
        categories.
      - changed users tab to support ranges and default levels.
      - added range transition tab for searching range transition rules.
      - added new tab for network context components.
      - added new tab for file system context components.
   libapol:
      - added binpol support for MLS, network contexts, and file system
        contexts.
   seinfo:
      - added command line options for MLS components.
      - added command line options for network contexts and file system contexts.
   sesearch:
      - added command line option for searching for rules by conditional boolean name.
   seaudit:
      - added new column in the log view for the 'comm'
      - field found in auditd log files.
      - added filters for the 'comm' field and 'message' field.
   manpages:
      -added manpages for all tools.

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  7 Feb 2006 11:54:03 -0600

setools (2.2-2) unstable; urgency=low

  * Added a preinst check to see if we should remove the obsolete conffile
     /etc/setools/seuser.conf

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 31 Dec 2005 14:51:20 -0600

setools (2.2-1) unstable; urgency=low

  * New upstream release
    libapol:
     replaced the original dta algorithm with a new one to properly
     support complements in rules.  added new structures to support the
     separation of diff elements.  added support for parsing additional
     policy components in source policies.
    sediff:
     enhanced the GUI for display and separation of diff elements.  added
     the ability to rename types.
    sechecker:
      added a new tool - a commandline modular and extensible policy
      checker program
    seuser:	removed - deprecated
    sepcut:	removed - deprecated

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 30 Dec 2005 01:32:46 -0600

setools (2.1.3-1) unstable; urgency=low

  * New upstream release, fixed a mls bug in the source parser.

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 16 Oct 2005 23:58:07 -0500

setools (2.1.2-1) unstable; urgency=low

  * New upstream release


 -- Manoj Srivastava <srivasta@debian.org>  Thu, 15 Sep 2005 02:00:01 -0500

setools (2.1.1-1) unstable; urgency=low

  * New upstream release. Excerpted changes:
  * Version 2.1.1
        libseaudit: updated code to compile with gcc-4.0.0
                    minor bug fixes
        sediff:     updated code to compile with gcc-4.0.0
        seaudit:    updated code to compile with gcc-4.0.0
        libsefs:    updated code to compile with gcc-4.0.0
        libapol:    updated code to compile with gcc-4.0.0
                    minor bug fixes
        seuser:     updated code to compile with gcc-4.0.0
  * Version 2.1.0
        apol:    improved direct relabel analysis algorithm
        libapol: added policy version 19 support
        sediff:  added role transitions, improved role allow
                 added conditional expression differences

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  1 Jun 2005 23:51:27 -0500

setools (2.0-1) unstable; urgency=low

  * New upstream release
      * libsefs:
        Converted to use an on-disk SQLite database backend and
          re-designed API to provide the functionality to other
          applications, such as apol.
      * libapol:
        Added support for analyzing direct file relabels.
        Added support for analyzing relationship between two types.
        Integrated use of hashtable structures for easily analyzing
          differences between policies.
        Minor bug fixes.
      * libseuser:
        Minor bug fixes.
      * apol:
        New analysis module for performing direct file relabel
          analysis.
        New analysis module for analyzing the relationship be-
          tween two types.
        New interface added for viewing file contexts from an
          SELinux filesystem.
        Improvements to domain transition analysis interface.
        Minor bug fixes and GUI tweaks.
      * secmds:
        Updated indexcon/searchcon to use an on-disk SQLite database
          in order to decrease memory use. These changes are not
          backwards-compatible.
      * seaudit:
        Integrated reporting functionality into GUI.
        Minor GUI tweaks.
      * sediff:
        New gtk GUI and command-line tools for analyzing the semantic
          differences between two policies. The semantic difference
          of a policy is different from the syntactic difference in
          that it shows the cumulative effect of rules rather than
          doing a line-by-line comparison.

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 13 Mar 2005 00:40:06 -0600

setools (1.5.1-1) unstable; urgency=low

  * New upstream release.
     *apol:    Fixed compatibility with tcl 8.3.
     *libsefs: Fixed compile problem on PPC.
     *secmds:  Fixed fatal error in replcon.
     *setools: Reverted to static linking and fixed various small bugs.

     * apol:
        Advanced options added to forward domain
         transition analysis module for performing
         more granular searching of transitions to
         domains using specified classes, permissions
         and target types.
        Minor bug fixes and improvements.

     * libapol:
        Fixed to handle new libapol user structs.
        Enhanced forward domain transition analysis to
          perform more granular searching using specified
          classes, permissions and target types.
        Minor bug fixes.

     * libseuser:
        General clean up of the policy components.
        Fixed handling of users to be consistent with rest.

     * seaudit:
        New tool (seaudit-report) for generating customized
         reports on SE Linux audit messages using saved
         seaudit view files. This tool is highly configurable
         and can effectively integrate with the LogWatch
         application for automating SE Linux audit log reporting.
        Added feature for exporting audit messages to a
          file, as well as viewing all components of an audit
          message within a text view.

     * libseaudit:
        Updated library to store audit header information, such as
         the system call timestamp and serial number.
        Fixed parse errors for new logs.

     *  New tool (indexcon) for creating a snapshot of security
         contexts for SE Linux filesystem entities.
     * New tool (searchcon) for searching the SE Linux filesystem
         database that was created using indexcon.


 -- Manoj Srivastava <srivasta@debian.org>  Thu, 13 Jan 2005 01:25:23 -0600

setools (1.4.1-2) unstable; urgency=low

  * Added build-depends libselinux1-dev, thanks for the NMU LaMont.

 -- Russell Coker <russell@coker.com.au>  Tue, 13 Jul 2004 19:35:00 +1000

setools (1.4.1-1) unstable; urgency=low

  * New upstream.

 -- Russell Coker <russell@coker.com.au>  Thu,  8 Jul 2004 12:54:00 +1000

setools (1.4-1) unstable; urgency=low

  * New upstream.

 -- Russell Coker <russell@coker.com.au>  Thu,  3 Jun 2004 12:49:00 +1000

setools (1.3-1) unstable; urgency=low

  * New upstream.

 -- Russell Coker <russell@coker.com.au>  Fri, 16 Apr 2004 20:16:00 +1000

setools (1.2.1-1) unstable; urgency=low

  * New upstream.

  * Make it build-depend on tk8.4-dev.
    Closes: 231876

 -- Russell Coker <russell@coker.com.au>  Thu, 26 Feb 2004 22:07:00 +1100

setools (1.2-1) unstable; urgency=low

  * New upstream version.

 -- Russell Coker <russell@coker.com.au>  Fri,  6 Feb 2004 15:16:00 +1100

setools (1.1.1-3) unstable; urgency=low

  * Fixed build-depends.
    Closes: #230830

 -- Russell Coker <russell@coker.com.au>  Tue,  3 Feb 2004 10:16:00 +1100

setools (1.1.1-2) unstable; urgency=low

  * Fixed build-depends.
    Closes: #229170

 -- Russell Coker <russell@coker.com.au>  Sun, 25 Jan 2004 15:48:00 +1100

setools (1.1.1-1) unstable; urgency=low

  * New upstream.

 -- Russell Coker <russell@coker.com.au>  Tue,  6 Jan 2004 12:50:00 +1100

setools (1.1-3) unstable; urgency=low

  * Upload again with orig archive.

 -- Russell Coker <russell@coker.com.au>  Fri,  2 Jan 2004 21:48:00 +1100

setools (1.1-2) unstable; urgency=low

  * Added copyright file.

 -- Russell Coker <russell@coker.com.au>  Fri,  2 Jan 2004 18:24:00 +1100

setools (1.1-1) unstable; urgency=low

  * New upstream.

 -- Russell Coker <russell@coker.com.au>  Tue, 23 Dec 2003 16:35:00 +1100

setools (1.0.1-1) unstable; urgency=low

  * Initial Release.

 -- Russell Coker <russell@coker.com.au>  Wed, 19 Nov 2003 21:45:00 +1100
